about summary refs log tree commit homepage
path: root/t/test-lib.sh
diff options
context:
space:
mode:
authorEric Wong <normalperson@yhbt.net>2009-10-14 17:39:08 -0700
committerEric Wong <normalperson@yhbt.net>2009-10-14 17:39:51 -0700
commit0a47b9209b6c677ad03ad2075f671883ca2b7474 (patch)
tree2c2fc415f527c9f3f8b96912b20a76bbe0420647 /t/test-lib.sh
parenta42148fe4d62f812bc57418daecdb95f3c4d18cd (diff)
downloadrainbows-0a47b9209b6c677ad03ad2075f671883ca2b7474.tar.gz
There is no TeeInput (streaming request body) support, yet,
as that does not seem fun nor easy to do (or even possible
without using Threads or Fibers or something to save/restore
the stack...)
Diffstat (limited to 't/test-lib.sh')
-rw-r--r--t/test-lib.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/t/test-lib.sh b/t/test-lib.sh
index d278329..26adfc9 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -42,6 +42,14 @@ require_revactor () {
         fi
 }
 
+require_rev() {
+        if ! $ruby -rrev -e "puts Rev::VERSION" >/dev/null 2>&1
+        then
+                echo >&2 "skipping $T since we don't have Rev"
+                exit 0
+        fi
+}
+
 # given a list of variable names, create temporary files and assign
 # the pathnames to those variables
 rtmpfiles () {